Skip to content

Release 3.0 (August 2021)

Special note on Java support

Java 11 is now required to build and run Egeria.

Known issue: use chromium-based browser for UIs

It is recommended to use a chromium-based browser such as Google Chrome, Microsoft Edge or Apple Safari for the Egeria React UI. Some parts of the UI experience such as Dino currently experience problems with Firefox. See odpi/egeria-react-ui#96 .

Functional changes
Java 11 required

As of Release 3.0 of Egeria, Java 11 is required to build and run Egeria.

Egeria will not build / run / be supported on Java 8. Developers are now able to use Java 11 only functionality.

Java releases beyond Java 11 up to the current release have some informal testing, and we do build verification on the current release (currently 16).

See Java for further information.

Defaults to multiple topics for cohorts

The option added in release 2.11 to allow multiple topics per cohort now becomes the default in release 3.0.

Changed passwords

Passwords for the sample Coco Pharmaceuticals users were changed to secret.

Bug fixes and other updates

For details, see the commit history in GitHub .

Implementation status

Egeria implementation status

Back to top